Bug 359721 - SOCKET test is not planed on laptops runing RHEL5.1-Server with hts-5.1-9
SOCKET test is not planed on laptops runing RHEL5.1-Server with hts-5.1-9
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
All Linux
high Severity high
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 03:26 EDT by YangKun
Modified: 2008-07-16 17:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-17 10:47:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
INFO test's results (394.62 KB, application/x-rpm)
2007-10-31 03:26 EDT, YangKun
no flags Details
output of hal-device (106.10 KB, text/plain)
2007-10-31 09:18 EDT, YangKun
no flags Details

  None (edit)
Description YangKun 2007-10-31 03:26:51 EDT
Description of problem:
The SOCKET test is not planed on my laptop, I installed RHEL5.1-Server-i386 GA
and hts-5.1-9. When I run "hts plan", the SOCKET test is not planed:
###############################################################
[root@yk Desktop]# hts plan
normal
Hardware: LENOVO unknown 200783C
OS: Tikanga 5.1
saved configuration to /var/hts/config.xml
OS Version RHEL5, kernel rpm kernel-2.6.18-53.el5
Created a new plan with 12 tests on 102 devices
saved test plan to /var/hts/plan.xml
[root@yk Desktop]# hts print
loaded configuration /var/hts/config.xml
loaded plan /var/hts/plan.xml

Test Plan:
----------------------------------------------------------------
cdrom      hda        storage_serial_F971468A7089          
suspend               acpi_BAT0                            
lid                   acpi_LID                             
battery               acpi_BAT0                            
audio                 pci_8086_27d8_alsa_playback_1        
usb                                                        
network    eth0       net_00_15_58_7c_1e_8a                
memory                                                     
storage    sda        storage_serial_SATA_HTS721010G9SA00_MPCZN7Y0H32MXL 
video                 pci_1002_71c4                        
core                                                       
info                                                       
[root@yk Desktop]# hts version
HTS version 5.1, release 9
[root@yk Desktop]# 
###############################################################


I tried to manually add the SOCKET test, it failed:
###############################################################
[root@yk Desktop]# hts plan --add --test socket --udi
'/org/freedesktop/Hal/devices/pci_104c_ac56'
loaded configuration /var/hts/config.xml
loaded plan /var/hts/plan.xml
OS Version RHEL5, kernel rpm kernel-2.6.18-53.el5
No such test ['socket']
saved test plan to /var/hts/plan.xml
[root@yk Desktop]# 
###############################################################


Then I tried a much older version of HTS->hts-5.0-31(hts-5.0-48 can not plan the
SOCKET test neither), hts-5.0-31 can handle SOCKET test correctly:
###############################################################
[root@yk ~]# hts plan
Hardware: LENOVO  200783C
OS: Tikanga 5.1
saved configuration to /var/hts/config.xml
planning device-independant tests...
planning device tests...
Created a new plan with 9 tests on 102 devices
saved test plan to /var/hts/plan.xml
[root@yk ~]# hts print
loaded configuration /var/hts/config.xml
loaded plan /var/hts/plan.xml

Test Plan:
----------------------------------------------------------------
cdrom      HL-DT-ST DVDRAM GSA-4083N            storage_serial_F971468A7089 
usb        Computer                                                  
network    Networking Interface                 net_00_15_58_7c_1e_8a 
socket     PCI1510 PC card Cardbus Controller   pci_104c_ac56        
memory     Computer                                                  
storage    HTS721010G9SA00                     
storage_serial_SATA_HTS721010G9SA00_MPCZN7Y0H32MXL 
video      M56GL [Mobility FireGL V5200]        pci_1002_71c4        
info       Computer                                                  
core       Computer                                                  
[root@yk ~]#
###############################################################


Is this test dropped by us ? Or this is a bug ? 
I attached the INFO test's result rpm here, using HTS-5.1-9
Comment 1 YangKun 2007-10-31 03:26:51 EDT
Created attachment 244221 [details]
INFO test's results
Comment 2 Greg Nichols 2007-10-31 08:48:34 EDT
could you attach the output of hal-device

Thanks!
Comment 3 YangKun 2007-10-31 09:18:19 EDT
Created attachment 244521 [details]
output of hal-device
Comment 4 Greg Nichols 2007-11-01 07:33:16 EDT
Fixed R11

Note You need to log in before you can comment on or make changes to this bug.